[PATCH 1/2] test: check for debug symbols in notmuch

Subject: [PATCH 1/2] test: check for debug symbols in notmuch

Date: Fri, 3 Oct 2014 22:22:09 +0200

To: notmuch@notmuchmail.org

Cc:

From: David Bremner


In the future, tests may rely on debug symbols being present in
notmuch, so we plan to switch the default flags.

The main purpose of this test is to help explain the perhaps
mysterious failures of other tests which rely on symbols being
present.
---
 test/T000-basic.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/test/T000-basic.sh b/test/T000-basic.sh
index ebbb6d2..bf08f3e 100755
--- a/test/T000-basic.sh
+++ b/test/T000-basic.sh
@@ -91,4 +91,9 @@ test_expect_equal \
     "$(dirname ${TEST_DIRECTORY})" \
     "$(echo $PATH|cut -f1 -d: | sed -e 's,/test/valgrind/bin$,,')"
 
+test_begin_subtest 'notmuch is compiled with debugging symbols'
+test_subtest_known_broken
+readelf --sections $(which notmuch) | grep \.debug
+test_expect_equal 0 $?
+
 test_done
-- 
2.1.0


Thread: